/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

.ry-form {
  padding: 20px;
  background: #fff;
  border: 1px solid #d2d2d2;
}

.ry-form  .ry-input {
  display: flex;
  flex-direction: column;
  gap: 1em 0;
}

.ry-form  .ry-input #apt-name {
  font-size: 18px;
  font-weight: normal;
  padding: 18px;
  background: #F8F5EE;
}
.ry-form #recaptcha_apt_form {
  cursor: pointer;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <August 19, 2026> */

/**/
	/*fonts*/
	/*btns*/

/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151; /*text-gray-700*/
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151; /*text-gray-700*/
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, #000000b8);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}
body[data-page-name="index"] #navigation {
    position: absolute;
}

.slider-info {
    min-height: fit-content;
}
.header-social-btn-fill div:nth-child(even) .cta-icon {
    background-color: var(--color-primary-background);
}
/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
#hp-slider .swiper-pagination-bullet {
    background-color: white;
}
/* CTA */
	/**/
/* Welcome */
	/**/
.module-welcome.style-5 .ry-each.image-wrapper {
    border: none;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo img {
    object-fit: contain;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo {
    padding-top: 40%;
}

/* Services */
	/**/
#services-7 .ry-content .content {
    max-width: 1080px;
}

.ry-services.style2 .ry-each .photo:before {
    border: 10px solid white;
    border-radius: 999px;
    background: none;
}

.ry-services.style2 .ry-each .photo img {
    height: 50%;
    width: 50%;
    left: 25%;
    top: 10%;
    filter: brightness(0) invert(1);
}

.ry-services.style2 .ry-each .title {
    bottom: 65px;
}
.ry-services.style2::before {
    background-position: center center;
}
.ry-services.style2 .ry-each .photo:after {
    opacity: 1;
}
/* Meet the Team */
	/**/
.module-team.style-7:before {
    background: linear-gradient(to right, #d8dedf, #d8dedf63, #ffffff00);
}
/* Insurance */
	/**/
#hp-brands-6 .overflow-hidden,
#hp-insurance-1 .overflow-hidden {
    padding: 0;
}

#hp-insurance-1 {
    background: white;
}

#hp-brands-6 .swiper-slide,
#hp-insurance-1 .swiper-slide {
    background: transparent;
}

.brand-4-swiper-button-next,
.brand-4-swiper-button-prev {
  background-color: var(--color-primary-background);
}

/* Brand */
	/**/
/* Request Appointment */
	/**/
/* Testimonials */
	/**/
.module-testimonials.style-4 .swiper-slide {
    background: none;
}

.module-testimonials.style-4 p, .module-testimonials.style-4 div {
    color: #666;
}

/* Footer */
	/**/
#ry-footer-3 .footer-contents::before {
    opacity: 0;
}

#ry-footer-3::before {
    opacity: 1;
}
/*Media Queries*/
	/**/
@media (max-width:1240px) {
    .cta-btn:last-child {
        background: var(--color-primary-background);
        border-radius: 999px;
        width: 300px;
    }
    
    .cta-btn:last-child a {
        max-width: 300px;
    }
}

@media (max-width:1080px){
    .module-welcome.style-5 .ry-each.image-wrapper .photo {
        padding-top: 0;
    }
    .module-welcome.style-5 .ry-text p {
        margin-bottom: 30px;
    }
    .module-welcome.style-5 .ry-each:not(.image-wrapper) {
        padding: 0;
    }
    .ry-services.style2 .each-block .photo:before {
        border: 10px solid white;
        border-radius: 999px;
        background: none;
        height: 100%;
    }
    
    .ry-services.style2 .each-block .photo img {
        height: 50%;
        width: 50%;
        left: 25%;
        top: 10%;
        filter: brightness(0) invert(1);
    }
    
    .ry-services.style2 .each-block .title {
        bottom: 25px;
    }
    #section-hp-services:before, .module-19.style2:before, .ry-services.style2::before {
        opacity: 1;
    }
}

@media (max-width:1024px) {
    body[data-page-name="index"] #navigation {
        position: relative;
    }
    .mobile-menu-icon {
        background: var(--color-primary-background);
    }
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
}
/* End - HP Edits*/

.swiper-button-prev, .swiper-button-next {
    display:none;
}

@media (max-width: 1080px) {
    .promotions .max-w-fit {
        max-width: 300px !important;
        margin: auto;
    }

    .promotions h3, .promotions p {
        text-align: center;
    }

    .promotions p {
        max-width: 100%;
        margin: 10px 0;
    }

    .promotions h3, .promotions p {
        text-align: center;
    }

     .promotions .ry-btn {
        margin: auto;
    }

    .promotions .max-w-fit {
        max-width: 300px !important;
        margin: auto;
    }

    .promotions img {
        min-width: auto;
        max-width: 250px;
        width: 100%;
        margin: 0 auto;
    }
}


@media (max-width: 551px) {
    .promotions .pr-10 {
    padding-right: 0rem;
    }
}



body[data-page-name="promotions"] p.mt-14.text-xs.uppercase.text-gray-500 {
	display:none;
}

.mobile-menu-icon {
    width: 30px;
    height: 30px;

}

@media(max-width:1200px) {
    .module-team.style-7 {
        padding-top:40px
    }
	.module-team.style-7 .section-background, .module-team.style-7 .section-background img {
		position:relative;
		height:100%;
		width:100%;
		inset:unset;
		z-index:6
	}
	.module-team.style-7 .section-background {
		height:fit-content;
		max-width:fit-content;;
		width:90%;
		margin-inline:auto;
		border-radius:20px;
		overflow:hidden;
		margin-top:60PX;
		margin-bottom:-50px
	}
	.module-team.style-7 .section-background img{
		padding-top:60px;
		max-width:400PX;
		object-fit:cover;
		height:400px;
		width:100%;
		object-position:85%;
		margin:0 !important;
		padding:0 
	}

	.module-team.style-7 {
		display:flex;
		flex-direction:column-reverse
	}
	.module-team.style-7 .section-overlay-bg, .module-team.style-7 .section-overlay-bg img {
		object-fit:cover;

	}
}



@media (min-width: 2000px) {
	.module-team.style-7 {
		padding: 8em 0 !important;
	}
}
